import { Router } from '@angular/router';
import { FormBuilder, FormGroup, FormControl } from '@angular/forms';
import { OnInit, ChangeDetectorRef } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { SearchCountryField, TooltipLabel, CountryISO } from 'ngx-intl-tel-input';
import { NgxSpinnerService } from 'ngx-spinner';
import { Location } from '@angular/common';
import { AuthenticationService, InstitutionService, InteractionService, UsergroupService, UsersService } from 'interfaceft-icb-lib-services/projects/lib-services/src/public-api';
export declare class EditAccountProfileFormComponent implements OnInit {
    private formBuilder;
    private usergroupService;
    private institutionService;
    private authService;
    private userService;
    dialog: MatDialog;
    private cdr;
    private router;
    private spinner;
    private interactionService;
    private location;
    search: string;
    userpermissions: any[];
    Form: FormGroup;
    DaysAllowed: FormGroup;
    separateDialCode: boolean;
    SearchCountryField: typeof SearchCountryField;
    TooltipLabel: typeof TooltipLabel;
    CountryISO: typeof CountryISO;
    institutionCountry: any;
    usergroups: any;
    branches: any;
    agencies: any;
    filtermode: any;
    days: string[];
    emailValid: boolean;
    usernameValid: boolean;
    contactValid: boolean;
    debouncer4: any;
    debouncer2: any;
    debouncer1: any;
    mfaTypes: any;
    loginDaysError: boolean;
    isFilterAll: boolean;
    filterStatus: any;
    mySubscription: any;
    loadingMessage: string;
    institution: any;
    permission: boolean;
    userDetails: any;
    constructor(formBuilder: FormBuilder, usergroupService: UsergroupService, institutionService: InstitutionService, authService: AuthenticationService, userService: UsersService, dialog: MatDialog, cdr: ChangeDetectorRef, router: Router, spinner: NgxSpinnerService, interactionService: InteractionService, location: Location);
    ngOnInit(): void;
    fetchBranches(): void;
    getUserGroups(): void;
    populateform(): void;
    setDaysAllowed(): void;
    getpermissions(): void;
    titleCase(str: any): any;
    fetchAgency(): void;
    getBranchAgency(branchcode: any): void;
    isUsernameUnique(control: FormControl): Promise<unknown>;
    isEmailUnique(control: FormControl): Promise<unknown>;
    isPhoneUnique(control: FormControl): Promise<unknown>;
    setIPADDRESSValidations(): void;
    branchChange(event: any): void;
    setModuleEvent(event: any, appeventid: number): void;
    setEvent(event: any, appeventid: number): void;
    alertWithSuccess(title: any, message: any): void;
    alertWithError(title: any, message: any): void;
    update(): void;
    confirmDialog(): void;
    updateData(): void;
    cancel(): void;
}
