import { EventEmitter, OnInit, ChangeDetectorRef } from '@angular/core';
import { Observable } from 'rxjs';
import { WebcamImage, WebcamInitError } from 'ngx-webcam';
import { MatDialogRef } from '@angular/material/dialog';
export declare class WebcamDialogComponent implements OnInit {
    dialogRef: MatDialogRef<WebcamDialogComponent>;
    private cdr;
    pictureTaken: EventEmitter<WebcamImage>;
    showWebcam: boolean;
    allowCameraSwitch: boolean;
    multipleWebcamsAvailable: boolean;
    deviceId: string;
    videoOptions: MediaTrackConstraints;
    errors: WebcamInitError[];
    private trigger;
    private nextWebcam;
    capturedImage: any;
    key: any;
    constructor(dialogRef: MatDialogRef<WebcamDialogComponent>, data: any, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    triggerSnapshot(): void;
    toggleWebcam(): void;
    handleInitError(error: WebcamInitError): void;
    showNextWebcam(directionOrDeviceId: boolean | string): void;
    handleImage(webcamImage: WebcamImage): any;
    cameraWasSwitched(deviceId: string): void;
    get triggerObservable(): Observable<void>;
    get nextWebcamObservable(): Observable<boolean | string>;
    close(): void;
    save(): void;
    removeSnapshot(): void;
}
